Update a contract
Update contract fields. Only provided fields will be modified.
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/contract/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"organizationId": "string",
"hubspotDealId": "string",
"contractReference": "string",
"legalBusinessName": "string",
"legalRegisteredAddress": "string",
"signatoryName": "string",
"signatoryEmail": "string",
"signatoryTitle": "string",
"effectiveDate": "2019-08-24",
"expirationDate": "2019-08-24",
"termMonths": 0,
"autoRenew": true,
"renewalTermMonths": 0,
"cancellationNoticeDays": 0,
"bookingCoverageScope": "string",
"contractDocumentUrl": "string",
"contractSigningProvider": "string",
"contractSigningId": "string",
"signedDate": "2019-08-24",
"pricingTier": "string",
"baseRatePerNight": 0,
"currency": "string",
"status": "DRAFT",
"notes": "string",
"customTerms": [
{
"termName": "string",
"termDescription": "string"
}
],
"createdBy": "string",
"createdDate": "2019-08-24T14:15:22Z",
"lastModifiedBy": "string",
"lastModifiedDate": "2019-08-24T14:15:22Z",
"version": 0
}